CVE-2010-1166

NameCVE-2010-1166
DescriptionThe fbComposite function in fbpict.c in the Render extension in the X server in X.Org X11R7.1 allows remote authenticated users to cause a denial of service (memory corruption and daemon crash) or possibly execute arbitrary code via a crafted request, related to an incorrect macro definition.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xorg-server (PTS)stretch2:1.19.2-1+deb9u5fixed
stretch (security)2:1.19.2-1+deb9u9fixed
buster, buster (security)2:1.20.4-1+deb10u4fixed
bullseye (security), bullseye2:1.20.11-1+deb11u1fixed
bookworm, sid2:21.1.3-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xorg-serversource(unstable)(not affected)

Notes

- xorg-server <not-affected> (Xorg in Lenny onwards uses Pixman, which isn't affected)
https://rhn.redhat.com/errata/RHSA-2010-0382.html

Search for package or bug name: Reporting problems